package infomat.mro.risynlexeval;

import infomat.algorithms.grouping.*;
import infomat.algorithms.projection.*;
import infomat.bridges.jsdm.*;
import infomat.evaluation.*;
import infomat.vectorspace.*;
import infomat.vectorspace.similarity.*;
import infomat.vectorspace.vector.*;
import infomat.vectorspace.weighting.*;
import infomat.mro.synlex.*;

import mro.util.doublehashmap.*;
import mro.util.measures.*;
import mro.util.properties.*;

import java.io.*;
import java.util.*;


public class SyntestItem{

    String word;
    String[] suggestions;
    int correct;
    
    public SyntestItem(String fileRow){
	String[] parts = fileRow.split("[|]");
	word = parts[0];
	correct = Integer.parseInt(parts[parts.length-1]);
	suggestions = new String[parts.length-2];
	for(int i=1; i<parts.length-2; i++){
	    suggestions[i-1] = parts[i];
	}
    }

    public String getWord(){
	return word;
    }

    public String[] getSuggestions(){
	return suggestions;
    }

    public int getCorrectSuggestionNumber(){
	return correct;
    }

}
