package infomat.view.grouping.settings;

import javax.swing.*;



public class OpacitySlider extends JPanel{

    protected final static int OPACITY_MIN = 0;	
    protected final static int OPACITY_MAX = 100;

    private JSlider opacitySlider; 

    
	public OpacitySlider(boolean max, int initOpacity, OpacityPanel op){
		
		String title="Min:  ";
		if(max)
			title="Max: ";
		JLabel titleLabel = new JLabel(title);
		add(titleLabel);
		
		opacitySlider = 
			new JSlider(JSlider.HORIZONTAL, OPACITY_MIN, OPACITY_MAX, initOpacity);
		opacitySlider.addChangeListener(op);
		add(opacitySlider);
	
	}
	
	public JSlider getSlider(){
		return opacitySlider;
	}
	
	
}
