package infomat.view.util;

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

/**
 * @version          081208
 * @author           Magnus Rosell
 */
public class SmallButton extends JButton{

    public SmallButton(String string){
	super(string);
	JTextField dummy = new JTextField(string);
	/*
	JButton dummyButton = new JButton(string);
	int height = (int) dummy.getPreferredSize().getHeight();
	int width = (int) dummyButton.getPreferredSize().getWidth();
	Dimension buttonSize = new Dimension(width, height);
	setPreferredSize(buttonSize);
	*/
	setUp(string, dummy);
    }

    public SmallButton(String string, int fontSize){
	super(string);
	JTextField dummy = new JTextField(string);
	Font curFont = dummy.getFont();
	dummy.setFont(new Font(curFont.getFontName(), 
			       curFont.getStyle(), fontSize));
	setUp(string, dummy);
    }

    private void setUp(String string, JTextField dummy){
	Font dummyFont = dummy.getFont();
	Font curFont = getFont();
	setFont(new Font(curFont.getName(), curFont.getStyle(), 
			 dummyFont.getSize()));
	int height = (int) dummy.getPreferredSize().getHeight();
	int width = (int) getPreferredSize().getWidth();
	Dimension buttonSize = new Dimension(width, height);
	setPreferredSize(buttonSize);
    }



}
